=== debian/changelog ===
open-iscsi (2.1.5-1ubuntu1.1) jammy; urgency=medium

  * IPv6 support for iBFT iSCSI boot (LP: #2097808)
    - d/p/lp2097808-IPv6-support-for-iBFT-iSCSI-boot-493.patch

 -- Chengen Du <chengen.du@canonical.com>  Tue, 11 Feb 2025 03:06:32 +0000

open-iscsi (2.1.5-1ubuntu1) jammy; urgency=medium

  * Merge with Debian unstable (LP: #1946835). Remaining changes:
    - debian/tests: Add Ubuntu autopkgtest suite:
      + d/t/README-boot-test.md: document test design
      + d/t/control: register testsuite
      + d/t/get-image: helper to fetch an ubuntu cloud image
      + d/t/patch-image: helper to modify an ubuntu cloud image
      + d/test-open-iscsi.py, d/t/testlib.py: various qa regression tests
      + d/t/testsuite: helper to invoke qa regression tests
      + d/t/tgt-boot-test: test using tgt to boot from iscsi
      + d/t/xkvm: helper to spawn a VM
    - Stop producing udebs on i386 where we no longer have d-i or a kernel.
    - d/README.Debian, d/extra/startup-checks.sh, d/open-iscsi-udeb.start,
      d/open-iscsi.postinst: Apply Ubuntu branding to iqn initiator name
    - d/control: Transition from libopeniscsiusr0.2.0 to libopeniscsiusr
    - d/t/test-open-iscsi.py: adopt to resolvectl (systemd v249 compat)
  * Dropped changes, included in Debian:
    - d/iscsid.service: Let iscsid systemd job run in privileged containers
      but not in unprivileged ones
    - debian/extra/initramfs.local-top: handle iSCSI iBFT DHCP to correctly
      run ipconfig to gather all DHCP config info, including DNS search
      domain, which iBFT can't provide.
    - Remove initramfs interfaces stamp in case no iscsi devs mounted
      If iscsi root was requested, but no iscsi devices were mounted, remove
      the initramfs interfaces stamp file. Meaning, that on shutdown there is
      no 30s delay, whilst trying to re-establish iscsi login to perform a
      logout.
    - add IPv6 support
      + Source /run/net6-*.conf when needed.
      + debian/extra/initramfs.local-top: handle IPv6 configs being shipped
        in DEVICE6 or /run/net6-*.conf in the initramfs, so we can fill in
        /run/initramfs/open-iscsi.interface
    - d/rules, d/open-iscsi.finalrd, d/control: ship the finalrd iscsi
      logout hook and recommend finalrd and busybox for the logout hook
      to work.
    - Make iscsid socket-activated to only activate it as needed:
      + debian/open-iscsi.service: do not start or check iscsid.service
      + debian/rules: install and enable iscsid.socket
      + debian/open-iscsi.postinst:
        + run restart logic only if service is running on upgrade
        + drop no longer reachable upgrade path that affects iscsid
        + disable iscsid.service on upgrade
        + handle iscsid.socket to be started if the service is not running yet
      + d/iscsi-disk.rules: Add a udev rule so that iscsid.service will be
        run when udev disks are attached.
      + d/iscsid.service: Remove ExecStop= directive.
      + debian/tests/install: fix tests to work with socket activation
      + debian/patches/lp1755858-default-iscsid_conf-to-iscsid_socket.patch
    - debian/open-iscsi.service: Start open-iscsi systemd job when either
      /etc/iscsi/nodes or /sys/class/iscsi_session have content.
    - Prevent network interface that contains iscsi root from bouncing
      during boot or going down during shutdown if the system is using
      resolvconf or ifupdown:
      + d/iscsi-network-interface.rules
      + d/extra/net-interface-handler
    - debian/extra/initramfs.hook: add ib_iser to the list of modules
      included in the initramfs, so that we can in principle support
      iscsi root on infiniband.
    - debian/open-iscsi.kmod drop: (LP 1833586)
      no static module list is needed if we let iscsid load modules itself.
    - d/extra/initramfs.local-{top,bottom}: move removal of
      open-iscsi.interface file from local-top to local-bottom,
      and fix shell quoting issue that would result in /run/initramfs/
      open-iscsi.interface always being removed (LP 1872813)
    - d/rules: Don't FTBFS due to warnings new in gcc10 regarding bounds and
      initialization, because upstream's gcc10 support is incomplete. This
      change can be dropped when upstream has completed their gcc support.
  * Added changes
    - d/rules: remove duplicated dh_installsystemd section

 -- Dave Jones <dave.jones@canonical.com>  Wed, 19 Jan 2022 11:38:12 +0000

open-iscsi (2.1.5-1) unstable; urgency=medium

  * [150470c] New upstream version 2.1.5
  * [7ca9f9e] Install the debian iscsid.service unit (Closes: #996708)
  * [d660992] Add patch to fix build failure with gcc-11

 -- Ritesh Raj Sarraf <rrs@debian.org>  Thu, 21 Oct 2021 21:36:50 +0530

open-iscsi (2.1.4-2) unstable; urgency=low

  [ Debian Janitor ]
  * [66832cc] Trim trailing whitespace.
  * [f68aaaf] debian/copyright: use spaces rather than tabs to start
    continuation lines.
  * [16eb556] Use secure URI in Homepage field.
  * [c3f9946] Bump debhelper dependency to >= 10, since that's what
    is used in debian/compat.
  * [693da74] Bump debhelper from old 10 to 13.
    + Use dh_installsystemd rather than deprecated dh_systemd_enable.
    + Use dh_installsystemd rather than deprecated dh_systemd_start.
    + debian/rules: Drop --fail-missing argument to dh_missing, which
      is now the default.
  * [107b3e4] Set debhelper-compat version in Build-Depends.
  * [68b97c5] Remove unnecessary 'Testsuite: autopkgtest' header.
  * [b80b61e] Set upstream metadata fields: Bug-Database, Bug-Submit,
    Repository, Repository-Browse.
  * [1096e5b] Update standards version to 4.5.1, no changes needed.

 -- Ritesh Raj Sarraf <rrs@debian.org>  Thu, 09 Sep 2021 19:36:42 +0530

open-iscsi (2.1.4-1) unstable; urgency=low

  [ Ritesh Raj Sarraf ]
  * [1a58d4e] Drop patches. Part of new upstream release
  * [a264531] Rebase patch

  [ Rafael David Tinoco ]
  * d/iscsid.service: Let iscsid systemd job run in privileged

