=== debian/tests/control ===
Tests: install
Restrictions: needs-root, isolation-machine, breaks-testbed

Tests: testsuite
Restrictions: needs-root isolation-machine breaks-testbed
Depends: open-iscsi, python3, tgt, qemu-system, ubuntu-cloudimage-keyring, simplestreams, python3-netifaces, distro-info, cloud-image-utils, dctrl-tools, rsync

Tests: nested
Restrictions: needs-root, isolation-machine, breaks-testbed, allow-stderr
Depends: targetcli-fb, qemu-system, qemu-utils, python3, python3-netifaces
