## open-iscsi 2.1.7

=== debian/changelog ===
open-iscsi (2.1.7-2ubuntu1) kinetic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/tests: Add Ubuntu autopkgtest suite:
      + d/t/README-boot-test.md: document test design
      + d/t/control: register testsuite
      + d/t/get-image: helper to fetch an ubuntu cloud image
      + d/t/patch-image: helper to modify an ubuntu cloud image
      + d/test-open-iscsi.py, d/t/testlib.py: various qa regression tests
      + d/t/testsuite: helper to invoke qa regression tests
      + d/t/tgt-boot-test: test using tgt to boot from iscsi
      + d/t/xkvm: helper to spawn a VM
    - d/README.Debian, d/extra/startup-checks.sh, d/open-iscsi.postinst:
      Apply Ubuntu branding to iqn initiator name
  * Dropped changes, no longer needed:
    - debian/open-iscsi-udeb.start: Apply Ubuntu branding
    - Stop producing udebs on i386 where we no longer have d-i or a kernel.
  * Dropped changes, included in Debian:
    - d/p/lp1979692-fix-gcc12-ftbfs-0*.patch: Fix FTBFS with GCC 12.
    - d/rules: remove duplicated dh_installsystemd section
  * Dropped changes, no longer needed:
    - d/control: Transition from libopeniscsiusr0.2.0 to libopeniscsiusr;
      not needed, the referenced version is no longer in any supported
      release and the transitional package is in the previous LTS.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 16 Aug 2022 08:32:36 -0700

open-iscsi (2.1.7-2) unstable; urgency=medium

  * [09dfaec] Enable hardening build flags
  * [c0ce256] d/rules: remove unused DEB_HOST_MULTIARCH
  * [70574d1] Run separate build for udeb to avoid libsystemd dependency
    (Closes: #1003366)

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 30 Jul 2022 14:23:25 +0000

open-iscsi (2.1.7-1) unstable; urgency=medium

  * [3050096] New upstream version 2.1.7 (Closes: #982307, #1016246)
  * [46fd279] Refresh patches, drop upstream applied ftbfs patch
  * [cac01da] Help upstream Makefile find sed in /bin
  * [0202184] Add patches from upstream master to fix build
  * [f61e6a0] Use dh_auto_install, better suits new upstream build system
  * [2080bfb] Fix multiarch install location
  * [4f57eb7] Move udeb files into correct places (like in 2.0.874-7.1)
  * [75b86ce] Cleanup duplicate override_dh_installsystemd section
    (Closes: #1004014)
  * [24f9981] d/copyright: update
  * [41970e3] Rely on dh_installinitramfs to install triggers

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 29 Jul 2022 19:59:11 +0000

open-iscsi (2.1.5-1ubuntu2) kinetic; urgency=medium

  * d/p/lp1979692-fix-gcc12-ftbfs-0*.patch: Fix FTBFS with GCC 12.
    (LP: #1979692)

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Thu, 23 Jun 2022 17:28:56 -0400
