=== meson_options.txt ===
# options for meson build system
option('systemddir', type: 'string', value: '/usr/lib/systemd',
  description: 'Systemd directory [/usr/lib/systemd], if systemd used')
option('no_systemd', type: 'boolean', value: false,
  description: 'Do not use systemd')
option('source_date_epoch', type: 'string', value: 'NONE',
  description: 'Set the Build Source Date (for iscsiuio), for repeatable builds')
# these are in the 'sysconfigdir' (/etc by default) unless overridden
option('homedir', type: 'string', value: 'iscsi',
  description: 'Set the HOME directory [/etc/iscsi]')
option('dbroot', type: 'string', value: 'iscsi',
  description: 'Set the DATABASE root directory [/etc/iscsi]')
option('lockdir', type: 'string', value: '/run/lock/iscsi',
  description: 'Set the LOCK_DIR directory [/run/lock/iscsi]')
option('rulesdir', type: 'string', value: 'udev/rules.d',
  description: 'Set the directory where udev rules go [/etc/udev/rules.d]')
# to be able to put binaries in /sbin or /usr/sbin, since
# older version of meson do not allow overriding sbindir
option('iscsi_sbindir', type: 'string', value: '/usr/sbin',
  description: 'Set the directory where our binaries go [/usr/sbin]')
