=== debian/changelog ===
open-iscsi (2.1.8-1ubuntu2) mantic; urgency=medium

  * Fix format overflow warnings seen when building with
    -O3 to avoid FTBFS on ppc64el (LP: #2036884)

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 22 Sep 2023 15:42:55 +0000

open-iscsi (2.1.8-1ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/tests: Add Ubuntu autopkgtest suite:
      + d/t/README-boot-test.md: document test design
      + d/t/control: register testsuite
      + d/t/get-image: helper to fetch an ubuntu cloud image
      + d/t/patch-image: helper to modify an ubuntu cloud image
      + d/test-open-iscsi.py, d/t/testlib.py: various qa regression tests
      + d/t/testsuite: helper to invoke qa regression tests
      + d/t/tgt-boot-test: test using tgt to boot from iscsi
      + d/t/xkvm: helper to spawn a VM
    - d/README.Debian, d/extra/startup-checks.sh, d/open-iscsi.postinst:
      Apply Ubuntu branding to iqn initiator name

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 07 Nov 2022 15:10:10 -0800

open-iscsi (2.1.8-1) unstable; urgency=medium

  [ Chris Hofstaedtler ]
  * [be2751b] New upstream version 2.1.8 (Closes: #1021742)
  * [6697df5] Remove upstream applied non-usrmerge-sed.patch

  [ Eric Mackay ]
  * [7dbf2c1] Man pages are no longer gzipped in upstream code
  * [833e478] Drop upstream 341 and 354 patches, refresh remaining patches

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 19 Oct 2022 15:59:32 +0000
